@import url('../css/fonts.css');


html,
body {
    margin: 0%;
    box-sizing: border-box;
    overflow-x: hidden;
}

:root {
    /*      Theme colors        */
    --bg-color: #0f0f0f;
    --white: #ffffff;
    --colour-primary: #3a736c;

    /*      theme font-family   */
    --Abel: 'Abel', cursive;
    --Anton: 'Anton', cursive;
    --Josefin: 'Josefin', cursive;
    --Lexend: 'Lexend', cursive;
    --Livvic: 'Livvic', cursive;
}


/* ---------------- Global Classes ---------------*/

h1, h2, h3, h4, h5, h6{
    color: var( --colour-primary );
}
a {
    text-decoration: none;
    color: var(--bg-color);
}

ul {
    list-style-type: none;
}

h1 {
    /* font-family: var(--Anton); */
    font-size: 2rem;
    letter-spacing: 5px;
}

h2 {
    font-family: var(--Abel);
}

h3 {
    font-family: var(--Abel);
    font-size: 1.3rem;
}

.container {
    margin: 5rem 0rem 0rem 0rem;
}

/* ------x------- Global Classes -------x-------*/

/* --------------- navbar ----------------- */

.nav {
    padding: 0 2rem;
    height: 150px;
    min-height: 150px;
    overflow: hidden;
    transition: height 1s ease-in-out;
}

.nav .nav-menu {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    height: 100%;
}

.nav .nav-brand img {
    height: 300px;
    width: auto;
}

.nav .nav-items {
    display: flex;
    margin: 0;
}

/* -------x------- navbar ---------x------- */

/* ----------------- Main Content----------- */

/* --------------- Site title ---------------- */

main .site-title {
    background: url('../assets/background.png'),linear-gradient(to top, #ffffcc 0%, #f5f5be 100%);
    background-blend-mode: overlay;
    background-size: cover;
    height: 90vh;
    display: flex;
    justify-content: center;
}

main .site-title .site-background {
    padding-top: 10rem;
    text-align: center;
}

/* --------x------ Site title --------x------- */
main .blog {
    background: url('../assets/background-2.jpg');
    /* background: linear-gradient(to bottom, #ffffff 0%, #ffff99 100%); */

}

main .blog .product-area {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 10px;
    align-items: center;
    margin-top: 50px;
    padding: 50px 100px;
    border-bottom: 2px solid var(--bg-color);
}

main .blog .image-area>img {
    display: inline-block;
    width: 450px;
    height: 450px;
    border-radius: 50%;
}

main .blog .product-area .product-detail>h2 {
    letter-spacing: 1.5px;
}

main .blog .product-area .product-detail .containt {
    display: flex;
    flex-wrap: wrap;
    gap: 35px;
}

/* ---------x------- Main Content -----x----- */


/* ----------------- Footer --------------------- */

footer.footer {
    height: 100%;
    background: var(--bg-color);
    position: relative;
    padding-bottom: 100px;
}

footer .rights {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

footer .rights>img {
    width: 20%;
    height: auto;
}

footer .rights p {
    color: var(--white);
    text-align: center;
}

footer.footer .move-up {
    position: absolute;
    right: 6%;
    top: 50%;
}

footer.footer .move-up span {
    color: var(--midnight);
}

footer.footer .move-up span:hover {
    color: var(--white);
    cursor: pointer;
}

/* ---------x------- Footer ----------x---------- */

/*              Viewport less then or equal to 750px            */

@media only screen and (max-width: 768px) {
    main .blog .product-area {
        flex-direction: column;
        padding: 80px 20px;
    }

    main .blog .product-area .product-detail .containt {
        flex-direction: column;
    }

    footer .rights>img {
        width: 30%;
    }
}

/*        x      Viewport less then or equal to 750px       x     */

/*              Viewport less then or equal to 520px            */
@media only screen and (max-width: 520px) {
    h1 {
        font-family: var(--Anton);
        font-size: 1.5rem;
        letter-spacing: 5px;
    }

    main .site-title h3 {
        margin: 2rem;
        font-family: var(--Lexend);
        font-size: 1.4rem;
    }

    main .blog .product-area {
        flex-direction: column;
        align-content: center;
        overflow: hidden;
    }

    main .blog .image-area>img {
        width: 250px;
        height: 250px;
        overflow: hidden;
    }

    footer .rights>img {
        width: 60%;
    }
}

/*        x      Viewport less then or equal to 520px       x     */